set tw=72         " text width for line-break
set comments=s1:/mb:*,ex:*/,://,b:#,:%,:XCOMM,n:>,fb:-,fb:*
set ai!           " auto indent
set fo+=tcqn      " format options

" delete lines until end
nmap <C-d> dG1o
map! <C-d> <ESC>dG1o

" delete current line
nmap <C-s> ddi
map! <C-s> <ESC>ddi

" add empty line
nmap <C-a> 1o
map! <C-a> <ESC>1o
